dpkg-scansources(1)

NOME
dpkg-scansources - cria ficheiros de índices Sources

SINOPSE
dpkg-scansources [option...] binary-dir [override-file [path-prefix]] > Sources

DESCRIÇÃO
dpkg-scansources sonda o directório-binário fornecido por ficheiros .dsc. Estes são usados para criar um índice de fonte Debian, o qual é enviado para o stdout.

The override-file, if given, is used to set priorities in the resulting index stanzas and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file.

Nota: Como o ficheiro de sobreposição é indexado por pacotes binário, não pacotes fonte, existe um pequeno problema aqui. A implementação actual usa a prioridade mais alta de todos os pacotes binários produzidos por um ficheiro .dsc para a prioridade do pacote fonte, e para a entrada de sobreposição para o primeiro pacote binário listado no ficheiro .dsc para modificar a informação do maintainer. Isto poderá ser alterado.

O path-prefix, se dado, é pré-adicionado ao campo directório no índice fonte gerado. Geralmente você usa isto para fazer com que os campos directório contenham o caminho desde o topo da hierarquia do arquivo Debian.

Nota: Se você deseja aceder ao ficheiros Sources gerado com apt(8) você vai provavelmente precisar de comprimir o ficheiro com gzip(1) (gerando um ficheiro Sources.gz). O apt(8) ignora ficheiros Sources não comprimidos excepto em acesso local (isto é, fontes file://).

OPÇÕES

-n, --no-sort
    Do not sort the index stanzas. Normally they are sorted by source package name.

-e, --extra-override file
    Sonda o ficheiro para encontrar sobreposições suplementares (desde dpkg 1.15.4; o ficheiro pode ser comprimido desde 1.15.5). Veja deb-extra-override(5) para mais informação sobre este formato.

-s, --source-override file
    Usa file como o ficheiro de sobreposição da fonte (o ficheiro pode ser comprimido desde dpkg 1.15.5). A predefinição é o nome do ficheiro de sobreposição que você especificou com .src adicionado.

    O ficheiro de sobreposição de fonte está num formato diferente do ficheiro de sobreposição de binário. Contém apenas dois campos separados por espaço em branco, o primeiro é o nome do pacote fonte e o segundo é a secção. Linhas vazias e comentários são ignorados no modo normal. Se um pacote aparece em ambos ficheiros a sobreposição de fonte toma precedência para definir a secção.

--debug
    Liga a depuração.

--help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

AMBIENTE

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

VEJA TAMBÉM
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.